Subject: bug#58933: 28.2; project-buffers should take an optional filter

From: Dmitry Gutov <[email-masked]>
Date: Wed, 2 Nov 2022 01:38:42 +0200

Hi Sean,

On 01.11.2022 00:04, Sean Devlin wrote:

> Project.el provides a function project-buffers that returns a list of
> buffers associated with the given project. The list is unfiltered,
> meaning any program using it will have to do some work to pick out the
> buffers of interest. It would be useful if the function had an optional
> argument to do this work.
> 
> Project.el already has a function project--buffer-check that validates a
> buffer against a list of conditions. Maybe it should be wired into
> project-buffers to do the job of filtering?

There is also 'match-buffers' and 'buffer-match-p' in the core Emacs 
starting with Emacs 29 (should also be available with the 'compat' package).

What do you think about these alternatives?

We could indeed add a new argument, but perhaps it won't made as much of 
a difference, given those options.